Package org.gradle.language.nativeplatform

## Interface ComponentWithInstallation

- All Superinterfaces:
    `ComponentWithNativeRuntime`, `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppExecutable`, `CppTestExecutable`, `SwiftExecutable`, `SwiftXCTestExecutable`

      public interface ComponentWithInstallation
      extends ComponentWithNativeRuntime

  Represents a native component that produces an application installation.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<Directory>` | `getInstallDirectory()` | Returns the installation directory.
    `Provider<? extends InstallExecutable>` | `getInstallTask()` | Returns the install task.
    `FileCollection` | `getRuntimeLibraries()` | Returns the runtime libraries required for the installation.

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getRuntimeLibraries

          FileCollection getRuntimeLibraries()

      Returns the runtime libraries required for the installation. Includes the runtime libraries of the component's dependencies.

    - #### getInstallDirectory

          Provider<Directory> getInstallDirectory()

      Returns the installation directory.

    - #### getInstallTask

          Provider<? extends InstallExecutable> getInstallTask()

      Returns the install task.